Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend
Class LuceneIndexingParameters.ParameterSet

    java.lang.Object
      org.hibernate.search.backend.LuceneIndexingParameters.ParameterSet

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  LuceneIndexingParameters

    public static class LuceneIndexingParameters.ParameterSet

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`LuceneIndexingParameters.ParameterSet(java.util.Properties prop, java.lang.String paramName)`

Method Summary
`void` | `applyToWriter(org.apache.lucene.index.IndexWriter writer)` Applies the parameters represented by this to a writer.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Integer` | `getCurrentValueFor(IndexWriterSetting ws)`
`int` | `hashCode()`
`void` | `setCurrentValueFor(IndexWriterSetting ws, java.lang.Integer newValue)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneIndexingParameters.ParameterSet

    public LuceneIndexingParameters.ParameterSet(java.util.Properties prop,
                                                 java.lang.String paramName)

Method Detail

### applyToWriter

    public void applyToWriter(org.apache.lucene.index.IndexWriter writer)

  Applies the parameters represented by this to a writer. Undefined parameters are not set, leaving the lucene default.

  Parameters:
    `writer` - the IndexWriter whereto the parameters will be applied.

### getCurrentValueFor

    public java.lang.Integer getCurrentValueFor(IndexWriterSetting ws)

### setCurrentValueFor

    public void setCurrentValueFor(IndexWriterSetting ws,
                                   java.lang.Integer newValue)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.